2011/1/13 Ryan Davis <ryand / zenspider.com>:
>
> On Jan 13, 2011, at 1:56, Christoph Mller <ruunhb / googlemail.com> wrote:
>
>> # will results always result in the LoadError: "no such file to load -
>> facets"
>> rb_require("facets")
>
> That's the pure c require, not rubygem's extension of require.
>

Right, you'll have to rb_funcall the require method, because rubygems
overrides the original method, which you won't see by using the
C-version obviously.